# -*- coding: utf-8 -*-

import codecs
from distutils.core import setup
from setuptools import setup, find_packages
from Cython.Build import cythonize
from version import version

# usage:
# python setup.py bdist_wininst generate a window executable file
# python setup.py bdist_egg generate a egg file
# Release information about eway

# version = "0.0.4"
description = "kivy charts is a tool to build kivy data plot"
author = "yumoqing"
email = "yumoqing@icloud.com"

depandent_packages = []
with codecs.open('./requirements.txt', 'r', 'utf-8') as f:
	b = f.read()
	depandent_packages = b.split(',')

packages=find_packages()
package_data = {
	"kivyblocks":[
		'imgs/*.png', 
		'imgs/*.atlas', 
		'imgs/*.gif',
		'imgs/*.jpg',
		'ttf/*.ttf', 
		'ui/*.uidesc',
	],
}

setup(
    name="kivycharts",
	ext_modules=cythonize(
        [
		]),
    version=version,
    
    # uncomment the following lines if you fill them out in release.py
    description=description,
    author=author,
    author_email=email,
   
    install_requires=depandent_packages,
    packages=packages,
    package_data=package_data,
    keywords = [
    ],
    classifiers = [
        'Development Status :: 3 - Alpha',
        'Operating System :: OS Independent',
        'Programming Language :: Python :: 3.5',
        'Topic :: Software Development :: Libraries :: Python Modules'
    ],
	platforms= 'any'
)
